Package twisted :: Package spread :: Module banana :: Class Canana

[show private | hide private]
[frames | no frames]

## Class Canana

    BaseProtocol --+
                   |
            Protocol --+
                       |
           Ephemeral --+
                       |
                  Banana --+
                           |
                          Canana

Known Subclasses:
  `Broker`

Method Summary
| `__init__(self, isClient)` (inherited from `Banana`)
| `__getstate__(self)` (inherited from `Ephemeral`)
| `__setstate__(self, state)` (inherited from `Ephemeral`)
| `callExpressionReceived(self, obj)` (inherited from `Banana`)
| ``connectionFailed`(self)` (Deprecated) (inherited from `Protocol`)
| ``connectionLost`(self, reason)` Called when the connection is shut down. (inherited from `Protocol`)
| ``connectionMade`(self)` Called when a connection is made.
| ``connectionReady`(self)` Surrogate for connectionMade Called after protocol negotiation. (inherited from `Banana`)
| `dataReceived(self, chunk)`
| ``expressionReceived`(self, lst)` Called when an expression (list, string, or int) is received. (inherited from `Banana`)
| `gotItem(self, item)` (inherited from `Banana`)
| ``makeConnection`(self, transport)` Make a connection to a transport and a server. (inherited from `BaseProtocol`)
| `sendEncoded(self, obj)`
| `_encode(self, obj, write)` (inherited from `Banana`)
| `_selectDialect(self, dialect)` (inherited from `Banana`)

Method Details

### connectionMade(self)

Called when a connection is made.

This may be considered the initializer of the protocol, because it is called when the connection is completed. For clients, this is called once the connection to the server has been established; for servers, this is called after an accept() call stops blocking and a socket has been received. If you need to send any greeting or initial message, do it here.

  Overrides:
    `twisted.spread.banana.Banana.connectionMade` (inherited documentation)

Generated by Epydoc 1.1 on Sat Feb 15 21:19:24 2003 | http://epydoc.sf.net